Bug 204742 - [MAINTAINER] sysutils/zogftw: Update to 2015-11-21-0a21288
Summary: [MAINTAINER] sysutils/zogftw: Update to 2015-11-21-0a21288
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-22 14:35 UTC by Fabian Keil
Modified: 2015-12-08 18:01 UTC (History)
1 user (show)

See Also:


Attachments
sysutils/zogftw: Update to 2015-11-21-0a21288 (1.80 KB, patch)
2015-11-22 14:35 UTC, Fabian Keil
fk: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2015-11-22 14:35:32 UTC
Created attachment 163420 [details]
sysutils/zogftw: Update to 2015-11-21-0a21288

The attached patch updates sysutils/zogftw to 2015-11-21-0a21288
and changes the URL to https//.

Upstream changes:
- Automatically resume aborted zfs receive operations.
  For this to work, the system has to suport it (FreeBSD r289362
  or later) and the variables ZOGFTW_ZFS_INCREMENTAL_RECEIVE_FLAGS
  and ZOGFTW_ZFS_NON_INCREMENTAL_RECEIVE_FLAGS have to include the
  -s flag so the already received data isn't discarded when a
  receive operation fails.
- Don't create required datasets on the receiving pool if the
  "de.fabiankeil:zogftw:new_datasets" property is set on the
  receiving pool's parent dataset and its value is not "yes".
- Polish documentation.
- Update and add new tests.
https://www.fabiankeil.de/gehacktes/zogftw/#2015-11-21-0a21288
Comment 1 commit-hook freebsd_committer 2015-12-08 18:01:30 UTC
A commit references this bug:

Author: miwi
Date: Tue Dec  8 18:00:58 UTC 2015
New revision: 403324
URL: https://svnweb.freebsd.org/changeset/ports/403324

Log:
  - Update to 2015-11-21-0a21288
  - Update WWW

  PR:		204742
  Submitted by:	maintainer
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D4342

Changes:
  head/sysutils/zogftw/Makefile
  head/sysutils/zogftw/distinfo
  head/sysutils/zogftw/pkg-descr